var tabla;

//funcion que se ejecuta al inicio
function init(){
   mostrarform(false);
   listar();

   $("#btnGuardar").on("click",function(e){
	/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		
		validar();
		var val = $("#validado").val();
		console.log(val);
		if (val==1){  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					guardaryeditar(e);	
				}
			})
		}
   });

   var checkbox = document.getElementById('contribuyente');
   checkbox.addEventListener( 'change', function() {
   //checkbox.value='no';
   if(this.checked) {
		//checkbox.value='si';
		$("#contribuyente").val("si");
   }else{
		$("#contribuyente").val("no");
   }
   console.log('checkbox.value- contribuyente: '+checkbox.value);
   });

   var checkbox = document.getElementById('resenaendollar');
   checkbox.addEventListener( 'change', function() {
   //checkbox.value='no';
   $("#resenaendollar").val("no");
   if(this.checked) {
		//checkbox.value='si';
		$("#resenaendollar").val("si");
   }
   console.log('checkbox.value- resenaendollar: '+checkbox.value);
   });

   //marcamos tipo_documento
	$("#tipo_documento").val("RIF");
	$("#tipo_documento").selectpicker('refresh');
   //marcamos tipo_documento
	$("#tipo_documentod").val("RIF");
	$("#tipo_documentod").selectpicker('refresh');

	//cargamos los items al Select la lista de precio
	$.post("controladores/articuloControlador.php?op=selectlistaprecio", function(r){
		$("#idlistaprecio").html(r);
		$("#idlistaprecio").selectpicker('refresh');
	});
	
	$.post("controladores/zonaControlador.php?op=selectZona", function(r){
		$("#idzona").html(r);
		$('#idzona').selectpicker('refresh');
	});	

}

//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#nombre").val("");
	$("#num_documento").val("");
	$("#direccion").val("");
	$("#telefono").val("");
	$("#email").val("");
	$("#licencia_licor").val("");
	$("#nombred").val("");
	$("#num_documentod").val("");
	$("#direcciond").val("");
	$("#telefonod").val("");
	$("#emaild").val("");
	$("#licencia_licord").val("");
	$("#idpersona").val("");
	$('#contribuyente').prop("checked", false);
	$("#contribuyente").val("no");
	$('#resenaendollar').prop("checked", true);
	$("#resenaendollar").val("si");
	$("#idlistaprecio").val("");
	$("#idlistaprecio").selectpicker('refresh');
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/personaControlador.php?op=listarc',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}
//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     $("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/personaControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		tabla.ajax.reload();
     	}
     });

     limpiar();
}


function mostrar(idpersona){
	$.post("controladores/personaControlador.php?op=mostrar",{idpersona : idpersona},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);
			$("#idpersona").val(data.idpersona);
			$("#nombre").val(data.nombre);
			$("#tipo_documento").val(data.tipo_documento);
			$("#tipo_documento").selectpicker('refresh');
			$("#num_documento").val(data.num_documento);
			$("#direccion").val(data.direccion);
			$("#telefono").val(data.telefono);
			$("#email").val(data.email);
			$("#licencia_licor").val(data.licencia_licor);
			$("#contribuyente").val(data.agenteretencion);
			if (data.agenteretencion=='si'){
				$('#contribuyente').prop("checked", true);
				$("#contribuyente").val("si");
			}else{
				$("#contribuyente").val("no");
				$('#contribuyente').prop("checked", false);
			}
			if (data.resenaendollar=='si'){
				$('#resenaendollar').prop("checked", true);
				$("#resenaendollar").val("si");
			}else{
				$("#resenaendollar").val("no");
				$('#resenaendollar').prop("checked", false);
			}
			$("#idlistaprecion").val(data.idlistaprecio);
			$("#idlistaprecio").selectpicker('refresh');
			console.log('data.resenaendollar :'+data.resenaendollar);
			console.log('#resenaendollar :'+$("#resenaendollar").val());
			$("#nombred").val(data.nombred);
			$("#tipo_documentod").val(data.tipo_documentod);
			$("#tipo_documentod").selectpicker('refresh');
			$("#num_documentod").val(data.num_documentod);
			$("#direcciond").val(data.direcciond);
			$("#telefonod").val(data.telefonod);
			$("#emaild").val(data.emaild);
			$("#licencia_licord").val(data.licencia_licord);
			
		})
}





//funcion para desactivar
function eliminar(idpersona){
	bootbox.confirm("¿Esta seguro de eliminar este dato?", function(result){
		if (result) {

			$.post("controladores/personaControlador.php?op=eliminar", {idpersona : idpersona }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}


init();